/*
 * @Author: wrh
 * @Date: 2024-01-24 17:16:42
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2024-02-01 09:12:06
 */
import request from '@/utils/request'

// 查询cmc考核列表
export function listAssess(query) {
  return request({
    url: '/oa/assess/list',
    method: 'get',
    params: query
  })
}

// 查询cmc考核详细
export function getAssess(assessId) {
  return request({
    url: '/oa/assess/' + assessId,
    method: 'get'
  })
}

// 新增cmc考核
export function addAssess(data) {
  return request({
    url: '/oa/assess',
    method: 'post',
    data: data
  })
}

// 提交cmc考核
export function submitAssess(data) {
  return request({
    url: '/oa/assess/submit',
    method: 'post',
    data: data
  })
}

// 更新cmc考核
export function updateAssess(data) {
  return request({
    url: '/oa/assess',
    method: 'put',
    data: data
  })
}

// 修改cmc考核
export function modifyAssess(data) {
  return request({
    url: '/oa/assess/modify',
    method: 'put',
    data: data
  })
}

// 删除cmc考核
export function delAssess(assessId) {
  return request({
    url: '/oa/assess/' + assessId,
    method: 'delete'
  })
}
